import 'package:rec_api_dart/src/env.base.dart';
import 'package:dotenv/dotenv.dart';

class ExampleEnv extends EnvBase {
  DotEnv? dotenv;
  ExampleEnv(String path) {
    dotenv = DotEnv()..load([path]);
  }

  String get API_URL => dotenv!['API_URL'] ?? 'none';
  String? get CLIENT_ID => dotenv!['CLIENT_ID'] ?? 'none';
  String? get CLIENT_SECRET => dotenv!['CLIENT_SECRET'] ?? 'none';
  String? get USERNAME => dotenv!['USERNAME'] ?? 'none';
  String? get PASSWORD => dotenv!['PASSWORD'] ?? 'none';

  @override
  set API_URL(String API_URL) {
    // TODO: implement API_URL
  }
}
