import 'package:flutter/widgets.dart';

mixin Localized {
  late String name;
  late String nameEs;
  late String nameCa;

  String? getNameForLocale(Locale locale) {
    switch (locale.languageCode) {
      case 'es':
        return nameEs;
      case 'ca':
        return nameCa;
      case 'en':
      default:
        return name;
    }
  }
}
