import 'package:rec_api_dart/src/entities/challenges/challenge.ent.dart';

class ChallengeSearchData {
  final ChallengeStatus? status;
  final ChallengeType? type;
  final ChallengeAction? action;

  ChallengeSearchData({
    this.status,
    this.type,
    this.action,
  });

  Map<String, dynamic> toJson() {
    return {
      if (status != null) 'status': status?.name,
      if (type != null) 'type': type?.name,
      if (action != null) 'action': action?.name,
    };
  }
}
